<?php
  echo "<div class='title2'>".t ("Information interface")."</div>\n";
  echo "<p>\n";
  echo t ("Quota Size")." = $quotaSize ".t("bytes");
  echo " / $quotaSizeMax<br/>\n";
  echo t ("Quota Number")." = $quotaNumber ".t("files");
  echo " / $quotaNumberMax<br/>\n";
  echo t ("Short URL") ." : <span class='colorData'>".$conf['smtpQuickURL']."$shortID</span><br/>";
  echo "<span class='helpMessage'>";
  echo t ("The short URL can be given to the people who need to send some ".
          "files to you. They will not type your email and will not see it.");
  echo "</span>\n";
  echo "<br/>\n";
  echo "</p>\n";

  echo "<div class='title2'>".t ("Configuration interface")."</div>\n";
  echo "<form action='?' method='post'>\n";
  echo "<p>\n";
  echo "<input type='checkbox' name='state'";
  if ($state !== FALSE) echo " checked='checked'";
  echo "/>".t ("Accept incoming files")."<br/>\n";
  echo t ("Informative mail send to ");
  echo "<input type='text' name='mail' value='$mail' size='30'/>";
  echo " ". t("(Your email address)")."<br/>\n";
  echo "<input type='submit' name='submit' value='".t("Record")."'/>\n";
  echo "<span class='error'>$error</span>\n";
  echo "</p>\n";
  echo "</form>\n";

  echo "<div class='title2'>".t("Files")."</div>\n";
  if (empty ($files))
  {
    echo t("No file can be downloaded")."<br/>\n";
  }
  else
  {
    echo "<table class='listFiles'>\n";
    echo "<tr><th>".t("Filename")."</th>";
    echo "<th>".t("Upload Date")."</th>";
    echo "<th>". t("Size")."</th></tr>\n";
    foreach ($files as $file)
    {
      echo "<tr>";
      echo "<td><a href='".$conf['smtpDownloadURL'].$file['filename']."'>";
      echo basename ($file['filename'])."</a></td>";
      echo "<td>".$file['uploadDate']."</td>";
      echo "<td>".HumanReadableValue ($file['size'])."</td>";
      echo "</tr>";
    }
    echo "</table>\n";
  }

?>
