  function addTextAreaCallback(textArea, callback, delay) {
    // Limit the number of Ajax connections to the delay. Each time the user
    // type a new key, the timer is set to the delay.
    // After delay, the callback function is called.
    var timer = null;
    textArea.onkeypress = function() {
      if (timer) {
        window.clearTimeout(timer);
      }
      timer = window.setTimeout( function() {
        timer = null;
        callback();
      }, delay );
    };
    textArea = null;
  }


  function ajaxMail()
  {
    // Check all the work concerning the email address in Ajax. Send the email
    // to ajaxMail.php, and receive the result. If the result is OK, display the
    // File section. If not, display the error and remove the file section.
    var urlServer = "ajaxMail.php";
    var mail = document.getElementById('mail');
    if (document.getElementById ('FU-error'))
    {
      // At startup, FU-error is not available (yet)
      document.getElementById ('FU-error').innerHTML = '';
    }
    if (mail.value=="")
    {
      return;
    }
    if (mail.length < 10)
    {
      if (document.getElementById ('FU-Files'))
        document.getElementById ('FU-Files').style.visibility = 'hidden';
      return;
    }
    if (!emailValide (mail.value))
    {
      //mail.style.cssText = 'background-color:#ff4444';
      document.getElementById ('FU-Files').style.visibility = 'hidden';
      return;
    }
    //mail.style.cssText = 'background-color:#00dd55';
    var req = new XMLHttpRequest();  
    req.onreadystatechange = function() 
    {
      if (req.readyState == 4)
      {
        if (req.status == 200)
        {
          //alert (req.responseText);
          var reponse = eval ('('+req.responseText+')');
          if (reponse.success != true)
          {
            document.getElementById ('FU-error').innerHTML = reponse.error;
            document.getElementById ('FU-Files').style.visibility = 'hidden';
          }
          else
          {
            document.getElementById ('FU-error').innerHTML = '';
            document.getElementById ('FU-Files').style.visibility = 'visible';
            sid = reponse.sid;
          }
        }
        else
        {
          alert ("Erreur serveur : "+req.status+" - "+req.statusText);
        }
      }
    }
    req.open("POST", urlServer, true);  
    req.setRequestHeader ('Content-Type', 'application/x-www-form-urlencoded');
    req.send ('mail='+mail.value);
  }

  function emailValide(email)
  {
    return email.match(/^([a-z0-9\._\-]{2,63})@([a-z0-9\._\-]{2,63})\.([a-z]{2,4})$/i);
}

