<?php
  //////////////////////////////////////////
  //   DISPLAY HTML AUTHENTICATION PAGE   //
  //////////////////////////////////////////
  $langSelected = languageSelected ();

  // HTML Page for authentication
  echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\"\n";
  echo "   \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\n";
  echo "<html>\n";
  echo "  <head>\n";
  echo "    <title>".$conf['wwwTitle'][$langSelected]."</title>\n";
  echo "    <link rel='stylesheet' type='text/css' href='themes/";
  echo $conf['wwwTheme']."/style.css";
  echo "'/>\n";
  echo "    <meta http-equiv='Content-Type' content='text/html; ";
  echo "charset=UTF-8' />\n";
  if (isset ($javascript)) echo "$javascript\n";
  echo "    <script type='text/javascript'><!--\n";
  echo "    function createCookie(name, value, days)\n";
  echo "    {\n";
  echo "      if (days)\n";
  echo "      {\n";
  echo "        var date = new Date();\n";
  echo "        date.setTime(date.getTime()+(days*24*60*60*1000));\n";
  echo "        var expires = '; expires='+date.toGMTString();\n";
  echo "      }\n";
  echo "      else var expires = '';\n";
  echo "      document.cookie = name+'='+value+expires+'; path=/';\n";
  echo "    }\n";
  echo "    --> </script>\n";
  echo "  </head>\n";
  echo "  <body>\n";

  echo "    <div class='allPage'>\n";
  // Display language selector
  echo "      <div class='langugage'>\n";
  echo "        ".t ("Languages :")."\n";
  foreach ($conf['languagesEnabled'] as $lang)
  {
    echo "        ";
    echo "<a onclick=\"createCookie ('language', '$lang', 30); ";
    echo "window.location.reload();\">";
    echo "<img src='themes/".$conf['wwwTheme']."/flags/$lang.png' alt='$lang'";
    if ($langSelected === $lang) echo " class='selected'";
    else  echo " class='notselected'";
    echo "/>";
    echo "</a>";
    echo "\n";
  }
  echo "        <noscript><div class='noscript'>";
  echo t("Javascript must be activated to choose the language");
  echo "</div></noscript>\n";
  echo "      </div>\n";

  echo "      <div class='mainPage'>\n";
  
  // Display logo
  echo "        <div class='logo'>\n";
  echo "          <img src='".$conf['wwwLogo']."' alt='logo' class='logo'/>\n";
  echo "        </div>\n";
 
  echo "        <div class='title'>".$conf['wwwTitle'][$langSelected];
  echo "</div>\n";

?>
