    var nbfileAffiches = 0;
    function createFileList (file)
    {
      // Cette fonction renvoie l'objet contenant les balises HTML qui seront
      // remplies pendant le transfert
      var li = document.createElement ('li');
      var spanFileName = document.createElement ('span'); 
      var spanWait     = document.createElement ('span');     
      var spanSize     = document.createElement ('span');     
      var spanCancel   = document.createElement ('span');   
      var spanError    = document.createElement ('span');    
      var imgWait      = document.createElement ('img');       
      spanFileName.innerHTML = file.name;
      imgWait.setAttribute ('src', 'wait.gif');
      spanWait.appendChild (imgWait);
      spanError.innerHTML = 'Waiting to start';
      spanFileName.setAttribute ('class', 'FU-FileName');
      spanWait.setAttribute     ('class', 'FU-Wait');
      spanSize.setAttribute     ('class', 'FU-Size');
      spanCancel.setAttribute   ('class', 'FU-Cancel');
      spanError.setAttribute    ('class', 'FU-Error');
      li.appendChild (spanFileName);// childNodes[0]
      li.appendChild (spanWait);    // childNodes[1]
      li.appendChild (spanSize);    // childNodes[2]
      li.appendChild (spanCancel);  // childNodes[3]
      li.appendChild (spanError);   // childNodes[4]
      return li;                    
    }
    function filesUpload (files)
    {
      for (var i = 0; i < files.length; i++)
      {  
        nbfileAffiches++;
        var file = files[i];  
        var ligneInfo = createFileList (file);
        document.getElementById('listFiles').appendChild (ligneInfo);
        fileUpload (file, ligneInfo);
      }
    }
    function fileUpload (file, ligneInfo)
    {
      var urlServer = "upload.php?FU="+encodeURIComponent (file.name);
      if (sid != undefined)
        urlServer = urlServer+"&sid="+sid;
      var req = new XMLHttpRequest();  
      req.upload.addEventListener("progress", updateProgress, false);  
      req.upload.addEventListener("load", transferComplete, false);  
      req.upload.addEventListener("error", transferFailed, false);  
      req.upload.addEventListener("abort", transferCanceled, false);  
      req.onreadystatechange = function() 
      {
        if (req.readyState == 4)
        {
          // On reinitialise la zone de fichier pour pouvoir la faire changer a
          // nouveau si on choisit le meme fichier
          document.getElementById('FU-file').value = "";
          if (req.status == 200)
          {
            //alert (req.responseText);
            var reponse = eval ('('+req.responseText+')');
            ligneInfo.childNodes[3].innerHTML = '<br/>'+reponse.error;
          }
          else
          {
            alert ("Erreur serveur : "+req.status+" - "+req.statusText);
          }
        }
      }
      req.open("POST", urlServer, true);  
      req.send (file);
 
 
      function updateProgress(e)
      {
        ligneInfo.childNodes[4].innerHTML = message ('Transfer on going');
        if (e.lengthComputable)
        {
          var percentComplete = Math.round (e.loaded / e.total * 100); 
        }
        ligneInfo.childNodes[2].innerHTML = percentComplete + '%';
      }
      function transferComplete(e)
      {
        // Delete the wait child
        ligneInfo.childNodes[2].innerHTML = fileSizeHuman (e.total);
        ligneInfo.removeChild (ligneInfo.childNodes[1]);
      }
      function transferFailed(e)
      {
        ligneInfo.childNodes[4].innerHTML = message ('Transfer Failed');
      }
      function transferCanceled(e)
      {
        ligneInfo.childNodes[4].innerHTML = message ('Transfer Canceled');
      }
    }

    function fileSizeHuman (size)
    {
      // This function return the given size in human readable format.
      // With G, M, K
      if (size < 1000)
        return size;
      if (size < 1000000)
        return Math.round (size / 1000, 2) + "K";
      if (size < 1000000000)
        return Math.round (size / 1000000, 2) + "M";
      return Math.round (size / 1000000000, 2) + "G";
    }

    function readCookie(name)
    {
      var nameEQ = name + "=";
      var ca = document.cookie.split(';');
      for(var i=0;i < ca.length;i++)
      {
        var c = ca[i];
        while (c.charAt(0)==' ') c = c.substring(1,c.length);
        if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
      }
      return null;
    }

    function message (msg)
    {
      // Return the message provided translated in the right language
      // The language is stored in the cookie
      var lang = readCookie('language');
      if (lang == null) lang = 'fr';
      switch (lang)
      {
      case 'fr':
        switch (msg)
        {
        case 'Transfer on going': return 'Transfert en cours';
        case 'Transfer Failed': return 'Transfert échoué';
        case 'Transfer Canceled': return 'Transfert annulé';
        }
        break;
      case 'us':
        break;
      case 'gb':
        break;
      default:
        return msg;
        break;
      }
      return msg;
    }
